summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author Nishant Limbachia <nishant@mnspace.net>2014-05-13 06:59:03 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-05-13 09:44:57 +0700
commit30122a577b9a53ca5f41a176e55500cd9fb4b202 (patch)
treef956853bbcedd1b7a16ec11c2b93ea348973a8a4 /perl
parent81c972674df6853ddd3af6be2d2c5199b5341603 (diff)
downloadslackbuilds-30122a577b9a53ca5f41a176e55500cd9fb4b202.tar.gz
slackbuilds-30122a577b9a53ca5f41a176e55500cd9fb4b202.tar.xz
perl/perl-Time-Out: Added (Perl Module).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-Time-Out/README2
-rw-r--r--perl/perl-Time-Out/perl-Time-Out.SlackBuild108
-rw-r--r--perl/perl-Time-Out/perl-Time-Out.info10
-rw-r--r--perl/perl-Time-Out/slack-desc19
4 files changed, 139 insertions, 0 deletions
diff --git a/perl/perl-Time-Out/README b/perl/perl-Time-Out/README
new file mode 100644
index 0000000000..315cc4da96
--- /dev/null
+++ b/perl/perl-Time-Out/README
@@ -0,0 +1,2 @@
+Provides perl module for easy timeout for long running
+operations.
diff --git a/perl/perl-Time-Out/perl-Time-Out.SlackBuild b/perl/perl-Time-Out/perl-Time-Out.SlackBuild
new file mode 100644
index 0000000000..3374e53d89
--- /dev/null
+++ b/perl/perl-Time-Out/perl-Time-Out.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware Package Build Script for perl module: Time-Out
+# Home Page http://search.cpan.org/dist/Time-Out/
+
+# Copyright (c) 2014, Nishant Limbachia, Hoffman Estates, IL, USA
+# (nishant _AT_ mnspace _DOT_ net)
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM="perl-Time-Out"
+VERSION=${VERSION:-0.11}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$(printf $PRGNAM | cut -f2- -d-)"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+DOCS="Changes README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -fr $TMP/$SRCNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $TMP/$SRCNAM-$VERSION
+chown -R root.root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+
+make
+make install DESTDIR=$PKG
+
+### putting essential docs
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+# Remove empty directories
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-Time-Out/perl-Time-Out.info b/perl/perl-Time-Out/perl-Time-Out.info
new file mode 100644
index 0000000000..49fb0a08eb
--- /dev/null
+++ b/perl/perl-Time-Out/perl-Time-Out.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Time-Out"
+VERSION="0.11"
+HOMEPAGE="http://search.cpan.org/dist/Time-Out/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/P/PA/PATL/Time-Out-0.11.tar.gz"
+MD5SUM="02501f7c839c49d3693ed1217e0682e4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Nishant Limbachia"
+EMAIL="nishant@mnspace.net"
diff --git a/perl/perl-Time-Out/slack-desc b/perl/perl-Time-Out/slack-desc
new file mode 100644
index 0000000000..86c94a9e53
--- /dev/null
+++ b/perl/perl-Time-Out/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Time-Out: perl-Time-Out (Time::Out)
+perl-Time-Out:
+perl-Time-Out:
+perl-Time-Out: Provides perl module for easy timeout for long running operations.
+perl-Time-Out:
+perl-Time-Out:
+perl-Time-Out:
+perl-Time-Out: Homepage: http://search.cpan.org/dist/Time-Out/
+perl-Time-Out:
+perl-Time-Out:
+perl-Time-Out: